[data-dropdown] {
    position: relative;

    &.open {
        z-index: 50;

        [data-dropdown-content] {
            opacity: 1;
            visibility: visible;
        }
    }
}

[data-dropdown-toggle] {
    cursor: pointer;
}

[data-dropdown-content] {
    top: 100%;
    left: 0;
    margin-top: rem(4);
    min-width: 100%;
    z-index: 100;
    opacity: 0;
    visibility: hidden;
    position: absolute;
}

.dropdown {
    display: inline-flex;
    flex-direction: column;

    &__button {
        margin: 0;
        padding: 0;
        border: none;
        outline: none;
        color: #DEDEDE;
        stroke: $gold;
        cursor: pointer;
        white-space: nowrap;
        align-items: center;
        display: inline-flex;
        text-decoration: none;
        background: transparent;

        span {
            display: inline-block;
        }

        i {
            font-size: 0;
            line-height: 0;
            height: rem(16);
            display: inline-block;
            margin-left: rem(4);
            flex-shrink: 0;
        }

        &:hover {
            color: $yellow-active;
            stroke: $yellow-active;
        }
    }

    &__content {
        min-width: rem(280);
        padding: rem(16);
        background: $dark;
        border: 1px solid $gray-500;

    }
}
